> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications unread count

> Get count of unread notification events for the current user.

## Query parameters

<ParamField query="workflow_id" type="string">
  Filter unread count to a specific workflow.
</ParamField>

## Response

<ResponseField name="unread_count" type="integer" required>
  Number of unread notification events.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url "${UNSTRUCTURED_API_URL}/api/v1/notifications/unread-count" \
    --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
  ```

  ```python Python SDK theme={null}
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest

  client = UnstructuredClient(
      api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
      server_url=os.getenv("UNSTRUCTURED_API_URL"),
  )

  response = client.notifications.get_unread_count(
      request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
  )
  print(response)
  ```

  ```python Python SDK (async) theme={null}
  import asyncio
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import GetUnreadCountApiV1NotificationsUnreadCountGetRequest

  async def get_unread_count():
      client = UnstructuredClient(
          api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
          server_url=os.getenv("UNSTRUCTURED_API_URL"),
      )
      response = await client.notifications.get_unread_count_async(
          request=GetUnreadCountApiV1NotificationsUnreadCountGetRequest()
      )
      print(response)

  asyncio.run(get_unread_count())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "unread_count": 5
  }
  ```
</ResponseExample>
